import { V as c, hc as u, bk as k, r as h, ad as n, __tla as __tla_0 } from "./index-9PRMimni.js";
let S, v, T, g, L, y, b;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    let a, r, t, l, s;
    ({ t: a } = c());
    r = k();
    t = await u();
    l = t && t.length > 0 ? t[0].id : 0;
    T = (e)=>{
        const { handleChangeTemplate: d } = e, i = h();
        return {
            infoSchemas: [
                {
                    field: "vesselId",
                    component: "NSelect",
                    componentProps: {
                        options: t,
                        value: l,
                        "label-field": r.getLocale === "en" ? "shipNameEn" : "shipName",
                        "value-field": "id",
                        disabled: !0
                    },
                    label: a("operation.rankTaskPlan.vessel")
                },
                {
                    field: "template",
                    component: "NSelect",
                    componentProps: {
                        options: i,
                        onUpdateValue (o, p) {
                            d(o, p);
                        }
                    },
                    label: a("operation.rankTaskPlan.template")
                }
            ],
            initShipValue: l,
            updateTemplateOptions: (o)=>{
                i.value = o;
            }
        };
    };
    S = ()=>({
            tabsSchemas: [
                {
                    field: "Monday",
                    title: a("operation.rankTaskPlan.monday")
                },
                {
                    field: "Tuesday",
                    title: a("operation.rankTaskPlan.tuesday")
                },
                {
                    field: "Wednesday",
                    title: a("operation.rankTaskPlan.wednesday")
                },
                {
                    field: "Thursday",
                    title: a("operation.rankTaskPlan.thursday")
                },
                {
                    field: "Friday",
                    title: a("operation.rankTaskPlan.friday")
                },
                {
                    field: "Saturday",
                    title: a("operation.rankTaskPlan.saturday")
                },
                {
                    field: "Sunday",
                    title: a("operation.rankTaskPlan.sunday")
                }
            ]
        });
    g = ()=>({
            searchSchemas: [
                {
                    field: "vesselId",
                    component: "NSelect",
                    componentProps: {
                        disabled: !0,
                        options: t,
                        defaultValue: l,
                        "label-field": r.getLocale === "en" ? "shipNameEn" : "shipName",
                        "value-field": "id"
                    },
                    label: a("operation.vesselRuleMapping.vessel"),
                    giProps: {
                        span: 1
                    }
                }
            ]
        });
    s = "";
    y = function(e) {
        return n.Get(`${s}/scheduleRankTaskPlan/getDropDownList`, {
            params: e
        });
    };
    b = function(e) {
        return n.Put(`${s}/scheduleRankTaskPlan/update`, e);
    };
    v = function(e) {
        return n.Post(`${s}/scheduleRankTaskPlan/save`, e);
    };
    L = function(e) {
        return n.Get(`${s}/scheduleRankTaskPlan/getPageList`, {
            params: e
        });
    };
});
export { S as a, v as b, T as c, g as d, L as e, y as g, b as u, __tla };
